# Uses of Class
javax.swing.Timer

Packages that use Timer
Package
Description
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of Timer in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as Timer
Modifier and Type
Field
Description
`protected Timer`
BasicComboPopup.`autoscrollTimer`
This protected field is implementation specific.
`protected Timer`
BasicScrollBarUI.`scrollTimer`
Scroll timer
`protected Timer`
BasicSliderUI.`scrollTimer`
Scroll timer
`protected Timer`
BasicTreeUI.ComponentHandler.`timer`
Timer used when inside a scrollpane and the scrollbar is adjusting.

## Uses of Timer in javax.swing.tree

Fields in javax.swing.tree declared as Timer
Modifier and Type
Field
Description
`protected Timer`
DefaultTreeCellEditor.`timer`
Used before starting the editing session.